Блог пользователя Ved

Автор Ved, 23 месяца назад, По-английски

We invite you to participate in CodeChef’s Starters 164 aka Shaastra Programming Contest conducted by Shaastra IIT Madras and sponsored by KLA, this Wednesday, 11th December, rated upto 5 stars (i.e. for users with rating < 2200).

Time: 8:00 PM — 10:00 PM IST

Joining us on the problem setting panel are:

Contest Admin and Statement Verifier: Shreyan Dominater069 Ray

Text Editorialists: Nishank IceKnight1093 Suresh

Tester: Apoorv TyroWhizz Kumar

Setters: Ved Ved prakash, Shanmukh Scintillator_Sha Raj, Varun Tide Koushik.

Register here and also please fill out this form to be eligible for the offline finals where prizes worth 120K INR await!

All competitors who solve at least one problem will be entered into a raffle for winning exciting Shaastra's Merchandise!!

Written editorials will be available for all on discuss.codechef.com. Pro users can find the editorials directly on the problem pages after the contest. The video editorials of the problems will be available only to Pro users.

Also, if you have some original and engaging problem ideas, and you’re interested in them being used in CodeChef's contests, you can share them here. Hope to see you participating.

Good Luck!

  • Проголосовать: нравится
  • +57
  • Проголосовать: не нравится

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится +3 Проголосовать: не нравится

Do we need to solve problems that are unrated for our division as well for the Shaastra ranklist?

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится +6 Проголосовать: не нравится

What are the prizes?? And How can someone know if he is selected for any prize??

»
23 месяца назад, скрыть # |
← Rev. 4  
Проголосовать: нравится +16 Проголосовать: не нравится

fuck permutations question. its always some stupid pattern guessing. Also what a joke of an editorial for construct perm question. I dont get how fucking 800 people solved it in div2, was it gptable ?

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится +16 Проголосовать: не нравится

Shit problems in Div1

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

in construct permutation i had that if all prefix sum of permutation modulo $$$n + 1$$$ is unique the it is valid, then construct pref sum modulo $$$n + 1$$$ as $$$pref = $$$ $$$[1, n, 2, n - 1, 3, n - 2...]$$$
and then for each $$$i$$$ find a number $$$x$$$ which when placed at index $$$i$$$ will give $$$pref[i]$$$
but i don't have a proof that we will always find such a uniqe number $$$x$$$ everytime
also if the above solution valid then we can solve the problem in $$$O(n)$$$ so i wonder why $$$n \lt = 10^3$$$

  • »
    »
    23 месяца назад, скрыть # ^ |
     
    Проголосовать: нравится 0 Проголосовать: не нравится

    I solved since I saw many participants solved (even more initial B) , then I said let's guess bro xD.

  • »
    »
    23 месяца назад, скрыть # ^ |
    ← Rev. 3  
    Проголосовать: нравится 0 Проголосовать: не нравится

    because the problem setters are incompetent cucks that should not be setting questions. Just look at them. Barely experts. I dont understand why codechef would allow these people to conduct the main contest. If a college wants to hold a contest let them do it separately.

    • »
      »
      »
      23 месяца назад, скрыть # ^ |
       
      Проголосовать: нравится 0 Проголосовать: не нравится

      Construct permutation is one of the 2 only problems i created for the round.

      • »
        »
        »
        »
        23 месяца назад, скрыть # ^ |
        ← Rev. 2  
        Проголосовать: нравится +6 Проголосовать: не нравится

        doesnt make any difference. Constructive algorithms are supposed to have some basic logic involved in the construction, it should not be pattern guessing through brute force. pretty sure 90 percent of the people who submitted didnt do it by themselves. There was a similar kind of low quality question from the last div2 where you had to guess another random pattern through brute force.

        • »
          »
          »
          »
          »
          23 месяца назад, скрыть # ^ |
           
          Проголосовать: нравится +17 Проголосовать: не нравится

          It does make a lot of difference. Call the problem bad or good or whatever you want, honestly I dont care.

          You called out the problemsetters for it and claimed them to be incompetent, i pointed out that the person was me. I have no issues with you keeping your same assessment of the problem, I just want it noted that the setters mentioned in the blog are not to be blamed.

      • »
        »
        »
        »
        23 месяца назад, скрыть # ^ |
        ← Rev. 5  
        Проголосовать: нравится -10 Проголосовать: не нравится

        bro stop allowing your friends in iit chennai to set crap questions while you deny questions proposed by other CM+ people from India. I will speak directly to the codechef admins if you keep doing this shit. Just because u r the highest rated person from India doesnt mean you can do whatever you want. Also another thing, stop putting math puzzles as coding questions. I know u r a math major, but dont let that influence coding competitions. If I wanted to solve random math puzzles I will go do a math olympiad question not competitive "programming".

      • »
        »
        »
        »
        23 месяца назад, скрыть # ^ |
         
        Проголосовать: нравится 0 Проголосовать: не нравится

        Can you please explain how to arrive at the construction logically? I realized that the prefix sums array modulo (n+1) should have n+1 distinct values. How to construct after that instead of just generating permutations and guessing..

        • »
          »
          »
          »
          »
          23 месяца назад, скрыть # ^ |
           
          Проголосовать: нравится -9 Проголосовать: не нравится

          There is absolutely no intuitive way to do it. Just pattern guessing using brute force. One of the worst types of questions.

          • »
            »
            »
            »
            »
            »
            23 месяца назад, скрыть # ^ |
             
            Проголосовать: нравится +3 Проголосовать: не нравится

            Interesting behaviour from your side. You remind of the this story. Anyways Problem becomes little bit intuitive after realizing the prefix sum observation. From there you just have to construct one such permutation which have all distinct prefix sums modulo $$$(n+1)$$$. one such way was induction. Try to find possible answer for $$$n=4$$$ and then try to induct from there.

        • »
          »
          »
          »
          »
          23 месяца назад, скрыть # ^ |
           
          Проголосовать: нравится +3 Проголосовать: не нравится

          while upsolving the problem i solved it like this 1 and n always add upto n+1,similarly 2 and n-1 and so on if n is even then they will all exist in pairs and become multiple of n+1.Hence n should be odd.if we keep 1 2 3...n then if n+1 can be sum of some sequences like 10 = 1+2+3+4. for n=9.then i just guessed 1 n-1 3 n-3 5 n-5... should work becoz observe it is adding upto multiple of n and will become a*n if a is even or an + k.and k >a hence it will not be divisible by n+1.

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится +4 Проголосовать: не нравится

Shit Time constraints for Connecting wells Kruskal's doesn't pass...

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится +1 Проголосовать: не нравится

Is there a proof for the solution to CONSPERM or an intuitive way to get to the prefix sum permutations array without simulations?

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится +2 Проголосовать: не нравится

Every platform passes through highs and lows , the starters 163 which I was the main author there , people seem to like it , but now people seem not.

It's normal , We cannot make a round enjoyable by everyone , starters 163 was kinda educational , so beginners love it , that's why .

Personally , The problems were good and as Dominater069 mentioned earlier

People are not supposed to guess complexities by given constraints

that's why C's constraints were tricky .

I'd like to say Dom and authors played a good job on making this round happen and we need to believe that it's a lack of our experience that we are not good enough in certain topics , so instead go and improve , because guilting others isn't good.

The point is it depends on the platform standards , reviewer standards and testers feedback mainly , So you cannot blame someone specifically as it's shame to blame the authors or the reviewers .

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится +3 Проголосовать: не нравится

Did anyone manage to pass Div 1 problem C with DSU? For every pair of nodes, I find the time when they will connect and then I merge the nodes in the increasing order of times and break when all gets connected but I keep getting TLE even though the complexity is O(N**2)alpha(N) if I am not wrong.

»
23 месяца назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

I got caught lacking on the previous CF round where you also had to brute force to find some pattern to construct a permutation, managed to solve it this time : )